View Issue Details

IDProjectCategoryView StatusLast Update
0003563GNUnetNSE servicepublic2018-06-07 00:25
ReporterBart PolotAssigned ToChristian Grothoff 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.11.0pre66Fixed in Version0.11.0pre66 
Summary0003563: NSE reports weird data
DescriptionJuliuis' code sees NSE estimates of size 0, stddev 110 in a 10 peer network.
TagsNo tags attached.

Activities

Bart Polot

2014-12-04 10:08

manager   ~0008637

Correction: Size is 1.0, stddev 0.0

Christian Grothoff

2014-12-05 13:38

manager   ~0008640

I suspect that should happen if the peer is not connected, and it might happen if NSE has never interacted with any other peer. So I'd first check if CORE told NSE about connections to other peers existing, because if NSE thinks it's the only peer, this is actually correct.

Bart Polot

2014-12-05 13:41

manager   ~0008643

It happens in a testbed run while the peer is happily talking to other peers (again, on Julius' laptop, which is a source of weirdness).

Christian Grothoff

2014-12-16 19:39

manager   ~0008701

Did the NSE's complete the POW? (Did you set the POW num bits down?)

Bart Polot

2014-12-16 19:45

manager   ~0008702

I did set it to 0, but im not 100% sure if before or after seeing this. In any case, 0 is never a valid estimate, it must be >= 1.

Christian Grothoff

2014-12-16 19:48

manager   ~0008703

Please try again with SVN 34637, and report the output of

$ gnunet-statistics -s nse

Christian Grothoff

2014-12-19 10:06

manager   ~0008709

Helps to not use the double in network byte orders in calculations for statistics... SVN 34688 fixes.

Issue History

Date Modified Username Field Change
2014-12-04 10:05 Bart Polot New Issue
2014-12-04 10:05 Bart Polot Status new => assigned
2014-12-04 10:05 Bart Polot Assigned To => Bart Polot
2014-12-04 10:08 Bart Polot Note Added: 0008637
2014-12-05 13:38 Christian Grothoff Note Added: 0008640
2014-12-05 13:41 Bart Polot Note Added: 0008643
2014-12-16 19:39 Christian Grothoff Note Added: 0008701
2014-12-16 19:45 Bart Polot Note Added: 0008702
2014-12-16 19:48 Christian Grothoff Note Added: 0008703
2014-12-16 19:48 Christian Grothoff Status assigned => feedback
2014-12-19 10:06 Christian Grothoff Note Added: 0008709
2014-12-19 10:06 Christian Grothoff Status feedback => resolved
2014-12-19 10:06 Christian Grothoff Fixed in Version => 0.11.0pre66
2014-12-19 10:06 Christian Grothoff Resolution open => fixed
2014-12-19 10:06 Christian Grothoff Assigned To Bart Polot => Christian Grothoff
2014-12-19 10:06 Christian Grothoff Product Version => SVN HEAD
2014-12-19 10:06 Christian Grothoff Target Version => 0.11.0pre66
2018-06-07 00:25 Christian Grothoff Status resolved => closed